Subject: Re: [PATCH] bootwrapper: cuboot-83xx: Exclude upper 1MB from heap.

From: Scott Wood <[email-masked]>
Date: Fri, 27 Apr 2007 11:38:37 -0500

Kumar Gala wrote:
> 
> On Apr 26, 2007, at 12:19 PM, Scott Wood wrote:
> 
>> The uppermost part of memory is where u-boot puts the stack, so don't
>> include that in the heap.  It's not currently causing problems, as the
>> current code allocates from the bottom of the heap, but this will keep
>> things from potentially breaking if a future implementation were to
>> allocate from the top.
> 
> 
> Why does it matter where u-boot puts it stack?  Once control is  handed 
> over I'd expect it not to matter.

The bootwrapper uses the stack provided by u-boot (unless the platform 
requests otherwise).

-Scott